List Quotes

Retrieve a paginated list of quotes. Supports: - Pagination (`page_size`, `page`) - Date filtering (`updated_after`, `updated_before`) - Status filtering (`status`) - Sorting (`order_by`)

Authentication

x-api-keystring
API Key authentication via header

Query parameters

page_sizeintegerOptional1-100Defaults to 20

Number of items per page (max 100)

pageintegerOptional>=1Defaults to 1

Page number (1-based)

order_byenumOptionalDefaults to asc
Sort order for results
Allowed values:
updated_afterstringOptionalformat: "date-time"

Filter items updated after this timestamp (ISO 8601)

updated_beforestringOptionalformat: "date-time"

Filter items updated before this timestamp (ISO 8601)

statusenumOptional
Filter quotes by status
Allowed values:

Response

List of quotes
idinteger
Quote identifier
statusenum
Quote status
Allowed values:
amountdouble

Total quote amount (dollars)

createdAtstringformat: "date-time"
Creation timestamp
updatedAtstringformat: "date-time"
Last update timestamp
quoteNumberinteger or null

Unique quote number (uid)

descriptionstring or null
Quote description
discountTypeenum or null
Discount type
Allowed values:
discountValuedouble or null
Discount amount or percentage value
taxIdinteger or null
Tax configuration ID
issueDatestring or nullformat: "date-time"
Issue date when the quote has been issued
subtotaldouble or null

Subtotal in dollars (before tax)

taxRatedouble or null
Applied tax rate
isArchivedboolean
Whether the quote is archived
sharedWithPortalboolean
Whether the quote is shared with the client portal
accountobject or null
recordobject or null
lineItemslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error